#include <fltk/StringList.h>
#include <fltk/Window.h>
#include <fltk/MenuBar.h>
#include <fltk/Choice.h>
#include <fltk/Menu.h>
#include <fltk/ItemGroup.h>
#include <fltk/run.h>

const char * const value_array [] = { "A", "B", "C", "D", "E", 0 };

fltk::StringArray Values (value_array);

void add_values_to_choice (fltk::Choice * choice)
{
	for(int i=0; i < sizeof(value_array)/sizeof(char*)-1; i++)
		choice->add(value_array[i]);
}

int main (int argc, char *argv[])
{
	int W=200;
	fltk::Choice *choice;
	fltk::Window w(0,0,W,W);
	w.begin();
		fltk::MenuBar * menubar = new fltk::MenuBar(0,0,W,20);
		menubar->begin();
			fltk::Group *grp = menubar->add_group("Group1");
			grp->begin();
				choice = new fltk::Choice(0,0,100,20);
				choice->list(&Values);
			grp->end();
			grp = menubar->add_group("Group2");
			grp->begin();
				choice = new fltk::Choice(0,0,100,20);
				add_values_to_choice (choice);
			grp->end();
		menubar->end();
		choice = new fltk::Choice(75,50,100,20,"StringArray");
		choice->list(&Values);
		choice = new fltk::Choice(75,80,100,20,"CArray");
		add_values_to_choice (choice);
	w.end();
	w.show();
	return fltk::run();
}
